ru.bitel.bgbilling.modules.agr.server.bean

## Class TransactionDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<Transaction>
      - - ru.bitel.bgbilling.modules.agr.server.bean.TransactionDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class TransactionDao
      extends ru.bitel.common.dao.AbstractIdDao<Transaction>

  Даошка для транзакций платежного модуля AGR

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionDao(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getAGRPaymentSystemList()` Получение списка платежных систем, через которые проходили платежи.
    `protected Transaction` | `getFromRS(java.sql.ResultSet rs)`
    `Transaction` | `getTransaction(int transactionId)` Получение транзакции по ее коду
    `Transaction` | `getTransaction(java.lang.String agrTransactionId)` Получение транзакции по id из ПС
    `void` | `searchByUserRequest(SearchResult<Transaction> searchResult, java.lang.String searchData, Period period, int status, java.lang.String paySystem)` Получение транзации по её searchData в биллинге, по searchData самой тразакции или по contractTilte
    `void` | `searchTransactions(SearchResult<Transaction> searchResult, java.lang.String status, int contractId, java.lang.String contractTitle, java.lang.String agrPaymentSystemName)`
    `protected void` | `updateImpl(Transaction transaction)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionDao

          public TransactionDao(java.sql.Connection con,
                                int moduleId)

  - ### Method Detail

    - #### searchTransactions

          public void searchTransactions(SearchResult<Transaction> searchResult,
                                         java.lang.String status,
                                         int contractId,
                                         java.lang.String contractTitle,
                                         java.lang.String agrPaymentSystemName)
                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### searchByUserRequest

          public void searchByUserRequest(SearchResult<Transaction> searchResult,
                                          java.lang.String searchData,
                                          Period period,
                                          int status,
                                          java.lang.String paySystem)
                                   throws ru.bitel.bgbilling.common.BGException

      Получение транзации по её searchData в биллинге, по searchData самой тразакции или по contractTilte
      Parameters:
        `searchData` - - введенные пользователем данные для поиска(id транзакции, id транзакции в биллинге, title договора)
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTransaction

          public Transaction getTransaction(int transactionId)
                                     throws ru.bitel.bgbilling.common.BGException

      Получение транзакции по ее коду
      Parameters:
        `transactionId` - код транзакции
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTransaction

          public Transaction getTransaction(java.lang.String agrTransactionId)
                                     throws ru.bitel.bgbilling.common.BGException

      Получение транзакции по id из ПС
      Parameters:
        `agrTransactionId` - код транзакции в ПС
      Returns:
        биллинговая транзакция
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRS

          protected Transaction getFromRS(java.sql.ResultSet rs)
                                   throws java.sql.SQLException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<Transaction>`
      Throws:
        `java.sql.SQLException`

    - #### updateImpl

          protected void updateImpl(Transaction transaction)
                             throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<Transaction>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getAGRPaymentSystemList

          public java.util.List<java.lang.String> getAGRPaymentSystemList()
                                                                   throws ru.bitel.bgbilling.common.BGException

      Получение списка платежных систем, через которые проходили платежи. Формируется по столбцу agrPaymentName у платежей.
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`